[Pkg-openssl-changes] r684 - in openssl/trunk/debian: . patches
Kurt Roeckx
kroeckx at moszumanska.debian.org
Wed Jul 23 17:49:40 UTC 2014
Author: kroeckx
Date: 2014-07-23 17:49:40 +0000 (Wed, 23 Jul 2014)
New Revision: 684
Removed:
openssl/trunk/debian/patches/fix-pod-errors.patch
Modified:
openssl/trunk/debian/changelog
openssl/trunk/debian/libssl1.0.0.postinst
openssl/trunk/debian/patches/libdoc-manpgs-pod-spell.patch
openssl/trunk/debian/patches/openssl-pod-misspell.patch
openssl/trunk/debian/patches/series
Log:
* New usptream beta version
- Fix CVE-2014-0224
- Fix CVE-2014-0221
- Fix CVE-2014-0195
- Fix CVE-2014-3470
- Fix CVE-2014-0198
- Fix CVE-2010-5298
- Fix CVE-2014-0160
- Fix CVE-2014-0076
* Merge changes between 1.0.1f-1 and 1.0.1h-3:
- postinst: Updated check for restarting services
* libdoc-manpgs-pod-spell.patch and openssl-pod-misspell.patch
partially applied upstream
* Drop fix-pod-errors.patch, applied upstream.
Modified: openssl/trunk/debian/changelog
===================================================================
--- openssl/trunk/debian/changelog 2014-06-19 21:42:29 UTC (rev 683)
+++ openssl/trunk/debian/changelog 2014-07-23 17:49:40 UTC (rev 684)
@@ -1,3 +1,22 @@
+openssl (1.0.2~beta2-1) experimental; urgency=medium
+
+ * New usptream beta version
+ - Fix CVE-2014-0224
+ - Fix CVE-2014-0221
+ - Fix CVE-2014-0195
+ - Fix CVE-2014-3470
+ - Fix CVE-2014-0198
+ - Fix CVE-2010-5298
+ - Fix CVE-2014-0160
+ - Fix CVE-2014-0076
+ * Merge changes between 1.0.1f-1 and 1.0.1h-3:
+ - postinst: Updated check for restarting services
+ * libdoc-manpgs-pod-spell.patch and openssl-pod-misspell.patch
+ partially applied upstream
+ * Drop fix-pod-errors.patch, applied upstream.
+
+ -- Kurt Roeckx <kurt at roeckx.be> Wed, 23 Jul 2014 19:21:09 +0200
+
openssl (1.0.2~beta1-1) experimental; urgency=medium
* New upstream beta version
Modified: openssl/trunk/debian/libssl1.0.0.postinst
===================================================================
--- openssl/trunk/debian/libssl1.0.0.postinst 2014-06-19 21:42:29 UTC (rev 683)
+++ openssl/trunk/debian/libssl1.0.0.postinst 2014-07-23 17:49:40 UTC (rev 684)
@@ -57,42 +57,73 @@
if [ "$1" = "configure" ]
then
if [ ! -z "$2" ]; then
- if dpkg --compare-versions "$2" lt 0.9.8g-9 && dpkg --compare-versions "$2" gt 0.9.8c-4etch3; then
- db_version 2.0
+ if dpkg --compare-versions "$2" lt 1.0.1g-2; then
+ echo -n "Checking for services that may need to be restarted..."
+ check="amanda-server anon-proxy apache2 apache-ssl"
+ check="$check apf-firewall asterisk bacula-director-common"
+ check="$check bacula-fd bacula-sd bind9 bip boinc-client"
+ check="$check boxbackup-client boxbackup-server bozo cfengine2"
+ check="$check cfengine3 citadel-server clamav-daemon clamav-freshclam"
+ check="$check clamcour collectd-core conserver-server courier-imap-ssl"
+ check="$check courier-mta-ssl courier-pop-ssl cyrus21-imapd"
+ check="$check cyrus21-pop3d cyrus-common cyrus-imspd dovecot-core"
+ check="$check ejabberd exim4 fetchmail freeradius ftpd-ssl gatling"
+ check="$check globus-gatekeeper inn inn2 libapache-mod-ssl lighttpd lldpd"
+ check="$check lwresd monit myproxy-server nagios-nrpe-server nginx-common"
+ check="$check ntp openntpd openssh-server openvpn partimage-server"
+ check="$check postfix postgresql-7.4 postgresql-8.0 postgresql-8.1"
+ check="$check postgresql-8.2 postgresql-9.1 postgresql-9.2 postgresql-9.3"
+ check="$check proftpd proftpd-ldap proftpd-basic"
+ check="$check proftpd-mysql proftpd-pgsql racoon sendmail slapd"
+ check="$check spamassassin ssh-nonfree stunnel4 syslog-ng tor unbound"
+ check="$check vsftpd"
+ # Only get the ones that are installed, and configured
+ check=$(dpkg -s $check 2> /dev/null | egrep '^Package:|^Status:' | awk '{if ($1 ~ /^Package:/) { package=$2 } else if ($0 ~ /^Status: .* installed$/) { print package }}')
+ # init script rewrites
+ check=$(echo $check | sed "
+ # The name of proftpd-{ldap,mysql,pgsql,basic} init script is
+ # same as "proftpd".
+ s/proftpd-.*/proftpd/g;
+ # dovecot-core ships its init script, but the
+ # script name is dovecot for dovecot-{imapd,pop3d}.
+ s/dovecot-core/dovecot/g;
+ # openssh-server's init script it called ssh
+ s/openssh-server/ssh/g;
+ # bacula-director-common's init is bacula-director
+ s/bacula-director-common/bacula-director/g;
+ # citadel server
+ s/citadel-server/citadel/g;
+ # collectd
+ s/collectd-core/collectd/g;
+ # cyrus
+ s/cyrus-common/cyrus-imapd/g;
+ # nginx
+ s/nginx-common/nginx/g;
+ ")
+ echo "done."
+ fi
+ if dpkg --compare-versions "$2" lt 1.0.1g-3; then
+ echo -n "Checking for services that may need to be restarted..."
+ check2="chef chef-expander chef-server-api"
+ check2="$check2 chef-solr pound postgresql-common"
+ check2="$check2 prosody puppet puppetmaster snmpd"
- echo -n "Checking for services that may need to be restarted..."
+ # Only get the ones that are installed, and configured
+ check2=$(dpkg -s $check2 2> /dev/null | egrep '^Package:|^Status:' | awk '{if ($1 ~ /^Package:/) { package=$2 } else if ($0 ~ /^Status: .* installed$/) { print package }}')
+ # init script rewrites
+ check2=$(echo $check2 | sed -r "
+ s/chef\s/chef-client/g;
+ s/chef-server-api/chef-server/g;
+ s/postgresql-common/postgresql/g;
+ ")
+ echo "done."
+ if [ -n "$check2" ]; then
+ check="$check $check2"
+ fi
+ fi
- check="sendmail openssh-server"
- check="$check apache2-common ssh-nonfree exim4"
- check="$check apache-ssl libapache-mod-ssl openvpn spamassassin"
- check="$check courier-imap-ssl courier-mta-ssl courier-pop-ssl"
- check="$check postfix cyrus21-imapd cyrus21-pop3d"
- check="$check postgresql-7.4 postgresql-8.0 postgresql-8.1"
- check="$check postgresql-8.2"
- check="$check racoon dovecot-common bind9"
- check="$check ntp openntpd clamcour nagios-nrpe-server"
- check="$check clamav-freshclam clamav-daemon"
- check="$check fetchmail ftpd-ssl slapd"
- check="$check proftpd proftpd-ldap proftpd-mysql proftpd-pgsql"
- check="$check partimage-server conserver-server tor"
- check="$check stunnel4"
- # Only get the ones that are installed, and configured
- check=$(dpkg -s $check 2> /dev/null | egrep '^Package:|^Status:' | awk '{if ($1 ~ /^Package:/) { package=$2 } else if ($0 ~ /^Status: .* installed$/) { print package }}')
- # apache2 ships its init script in apache2-common, but the
- # script is apache2
- check=$(echo $check | sed 's/apache2-common/apache2/g')
- # For mod-ssl apache has to be restarted
- check=$(echo $check | sed 's/libapache-mod-ssl/apache/g')
- # The name of proftpd-{ldap,mysql,pgsql} init script is
- # same as "proftpd".
- check=$(echo $check | sed 's/proftpd-.*/proftpd/g')
- # dovecot-common ships its init script, but the
- # script name is dovecot for dovecot-{imapd,pop3d}.
- check=$(echo $check | sed 's/dovecot-common/dovecot/g')
- # openssh-server's init script it called ssh
- check=$(echo $check | sed 's/openssh-server/ssh/g')
- echo "done."
-
+ if [ -n "$check" ]; then
+ db_version 2.0
echo "Checking init scripts..."
for service in $check; do
if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
@@ -115,18 +146,25 @@
fi
done
if [ -n "$services" ]; then
- db_reset libssl1.0.0/restart-services
- db_set libssl1.0.0/restart-services "$services"
- db_input critical libssl1.0.0/restart-services || true
+ db_input critical libraries/restart-without-asking || true
db_go || true
- db_get libssl1.0.0/restart-services
-
- if [ "x$RET" != "x" ]
- then
- services=$RET
- answer=yes
+ db_get libraries/restart-without-asking
+ if [ "x$RET" != xtrue ]; then
+ db_reset libssl1.0.0/restart-services
+ db_set libssl1.0.0/restart-services "$services"
+ db_input critical libssl1.0.0/restart-services || true
+ db_go || true
+ db_get libssl1.0.0/restart-services
+
+ if [ "x$RET" != "x" ]
+ then
+ services=$RET
+ answer=yes
+ else
+ answer=no
+ fi
else
- answer=no
+ answer=yes
fi
echo
if [ "$answer" = yes ] && [ "$services" != "" ]; then
Deleted: openssl/trunk/debian/patches/fix-pod-errors.patch
===================================================================
--- openssl/trunk/debian/patches/fix-pod-errors.patch 2014-06-19 21:42:29 UTC (rev 683)
+++ openssl/trunk/debian/patches/fix-pod-errors.patch 2014-07-23 17:49:40 UTC (rev 684)
@@ -1,448 +0,0 @@
-Description: Fix pod errors
- The version of pod from perl 5.18 is fussier than previous versions changing
- thigs that were previously warnings into errors. This patch fixes the errors
- and makes the package build but I have not checked the correctness of the
- output.
-Author: Peter Michael Green <plugwash at raspbian.org>
-Bug-Debian: http://bugs.debian.org/723954
-Bug: http://rt.openssl.org/Ticket/Display.html?id=3146&user=guest&pass=guest
-
-Index: openssl-1.0.2~beta1/doc/apps/smime.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/apps/smime.pod 2014-01-06 14:47:42.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/apps/smime.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -308,28 +308,28 @@
-
- =over 4
-
--=item 0
-+=item C<0>
-
- the operation was completely successfully.
-
--=item 1
-+=item C<1>
-
- an error occurred parsing the command options.
-
--=item 2
-+=item C<2>
-
- one of the input files could not be read.
-
--=item 3
-+=item C<3>
-
- an error occurred creating the PKCS#7 file or when reading the MIME
- message.
-
--=item 4
-+=item C<4>
-
- an error occurred decrypting or verifying the message.
-
--=item 5
-+=item C<5>
-
- the message was verified correctly but an error occurred writing out
- the signers certificates.
-Index: openssl-1.0.2~beta1/doc/apps/cms.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/apps/cms.pod 2014-01-23 17:09:34.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/apps/cms.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -463,28 +463,28 @@
-
- =over 4
-
--=item 0
-+=item C<0>
-
- the operation was completely successfully.
-
--=item 1
-+=item C<1>
-
- an error occurred parsing the command options.
-
--=item 2
-+=item C<2>
-
- one of the input files could not be read.
-
--=item 3
-+=item C<3>
-
- an error occurred creating the CMS file or when reading the MIME
- message.
-
--=item 4
-+=item C<4>
-
- an error occurred decrypting or verifying the message.
-
--=item 5
-+=item C<5>
-
- the message was verified correctly but an error occurred writing out
- the signers certificates.
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_clear.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_clear.pod 2014-01-06 14:47:42.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_clear.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -56,12 +56,12 @@
-
- =over 4
-
--=item 0
-+=item C<0>
-
- The SSL_clear() operation could not be performed. Check the error stack to
- find out the reason.
-
--=item 1
-+=item C<1>
-
- The SSL_clear() operation was successful.
-
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_session_reused.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_session_reused.pod 2014-01-06 14:47:42.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_session_reused.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -27,11 +27,11 @@
-
- =over 4
-
--=item 0
-+=item C<0>
-
- A new session was negotiated.
-
--=item 1
-+=item C<1>
-
- A session was reused.
-
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_set_session.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_set_session.pod 2014-01-06 14:47:42.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_set_session.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -37,11 +37,11 @@
-
- =over 4
-
--=item 0
-+=item C<0>
-
- The operation failed; check the error stack to find out the reason.
-
--=item 1
-+=item C<1>
-
- The operation succeeded.
-
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_connect.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_connect.pod 2014-01-06 14:47:42.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_connect.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -41,13 +41,13 @@
-
- =over 4
-
--=item 0
-+=item C<0>
-
- The TLS/SSL handshake was not successful but was shut down controlled and
- by the specifications of the TLS/SSL protocol. Call SSL_get_error() with the
- return value B<ret> to find out the reason.
-
--=item 1
-+=item C<1>
-
- The TLS/SSL handshake was successfully completed, a TLS/SSL connection has been
- established.
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_shutdown.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_shutdown.pod 2014-01-06 14:47:42.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_shutdown.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -92,14 +92,14 @@
-
- =over 4
-
--=item 0
-+=item C<0>
-
- The shutdown is not yet finished. Call SSL_shutdown() for a second time,
- if a bidirectional shutdown shall be performed.
- The output of L<SSL_get_error(3)|SSL_get_error(3)> may be misleading, as an
- erroneous SSL_ERROR_SYSCALL may be flagged even though no error occurred.
-
--=item 1
-+=item C<1>
-
- The shutdown was successfully completed. The "close notify" alert was sent
- and the peer's "close notify" alert was received.
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_CTX_set_client_CA_list.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_CTX_set_client_CA_list.pod 2014-01-06 14:47:42.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_CTX_set_client_CA_list.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -66,13 +66,13 @@
-
- =over 4
-
--=item 0
-+=item C<0>
-
- A failure while manipulating the STACK_OF(X509_NAME) object occurred or
- the X509_NAME could not be extracted from B<cacert>. Check the error stack
- to find out the reason.
-
--=item 1
-+=item C<1>
-
- The operation succeeded.
-
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_accept.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_accept.pod 2014-01-06 14:47:42.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_accept.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -44,13 +44,13 @@
-
- =over 4
-
--=item 0
-+=item C<0>
-
- The TLS/SSL handshake was not successful but was shut down controlled and
- by the specifications of the TLS/SSL protocol. Call SSL_get_error() with the
- return value B<ret> to find out the reason.
-
--=item 1
-+=item C<1>
-
- The TLS/SSL handshake was successfully completed, a TLS/SSL connection has been
- established.
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_CTX_set_session_id_context.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_CTX_set_session_id_context.pod 2014-01-06 14:47:42.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_CTX_set_session_id_context.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -64,13 +64,13 @@
-
- =over 4
-
--=item 0
-+=item C<0>
-
- The length B<sid_ctx_len> of the session id context B<sid_ctx> exceeded
- the maximum allowed length of B<SSL_MAX_SSL_SESSION_ID_LENGTH>. The error
- is logged to the error stack.
-
--=item 1
-+=item C<1>
-
- The operation succeeded.
-
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_write.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_write.pod 2014-01-06 14:47:42.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_write.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -79,7 +79,7 @@
- The write operation was successful, the return value is the number of
- bytes actually written to the TLS/SSL connection.
-
--=item 0
-+=item C<0>
-
- The write operation was not successful. Probably the underlying connection
- was closed. Call SSL_get_error() with the return value B<ret> to find out,
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_CTX_load_verify_locations.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_CTX_load_verify_locations.pod 2014-01-06 14:47:42.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_CTX_load_verify_locations.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -100,13 +100,13 @@
-
- =over 4
-
--=item 0
-+=item C<0>
-
- The operation failed because B<CAfile> and B<CApath> are NULL or the
- processing at one of the locations specified failed. Check the error
- stack to find out the reason.
-
--=item 1
-+=item C<1>
-
- The operation succeeded.
-
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_set_fd.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_set_fd.pod 2014-01-06 14:47:42.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_set_fd.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -35,11 +35,11 @@
-
- =over 4
-
--=item 0
-+=item C<0>
-
- The operation failed. Check the error stack to find out why.
-
--=item 1
-+=item C<1>
-
- The operation succeeded.
-
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_CTX_use_psk_identity_hint.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_CTX_use_psk_identity_hint.pod 2014-01-06 14:47:42.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_CTX_use_psk_identity_hint.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -96,7 +96,7 @@
- connection will fail with decryption_error before it will be finished
- completely.
-
--=item 0
-+=item C<0>
-
- PSK identity was not found. An "unknown_psk_identity" alert message
- will be sent and the connection setup fails.
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_read.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_read.pod 2014-01-06 14:47:42.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_read.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -86,7 +86,7 @@
- The read operation was successful; the return value is the number of
- bytes actually read from the TLS/SSL connection.
-
--=item 0
-+=item C<0>
-
- The read operation was not successful. The reason may either be a clean
- shutdown due to a "close notify" alert sent by the peer (in which case
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_CTX_add_session.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_CTX_add_session.pod 2014-01-06 14:47:42.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_CTX_add_session.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -52,13 +52,13 @@
-
- =over 4
-
--=item 0
-+=item C<0>
-
- The operation failed. In case of the add operation, it was tried to add
- the same (identical) session twice. In case of the remove operation, the
- session was not found in the cache.
-
--=item 1
-+=item C<1>
-
- The operation succeeded.
-
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_do_handshake.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_do_handshake.pod 2014-01-06 14:47:42.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_do_handshake.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -45,13 +45,13 @@
-
- =over 4
-
--=item 0
-+=item C<0>
-
- The TLS/SSL handshake was not successful but was shut down controlled and
- by the specifications of the TLS/SSL protocol. Call SSL_get_error() with the
- return value B<ret> to find out the reason.
-
--=item 1
-+=item C<1>
-
- The TLS/SSL handshake was successfully completed, a TLS/SSL connection has been
- established.
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_COMP_add_compression_method.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_COMP_add_compression_method.pod 2014-01-06 14:47:42.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_COMP_add_compression_method.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -53,11 +53,11 @@
-
- =over 4
-
--=item 0
-+=item C<0>
-
- The operation succeeded.
-
--=item 1
-+=item C<1>
-
- The operation failed. Check the error queue to find out the reason.
-
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_CTX_set_ssl_version.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_CTX_set_ssl_version.pod 2014-01-06 14:47:42.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_CTX_set_ssl_version.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -42,11 +42,11 @@
-
- =over 4
-
--=item 0
-+=item C<0>
-
- The new choice failed, check the error stack to find out the reason.
-
--=item 1
-+=item C<1>
-
- The operation succeeded.
-
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_CONF_cmd.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_CONF_cmd.pod 2014-01-23 17:09:34.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_CONF_cmd.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -320,6 +320,8 @@
-
- The value is a directory name.
-
-+=back
-+
- =head1 NOTES
-
- The order of operations is significant. This can be used to set either defaults
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_CTX_add1_chain_cert.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_CTX_add1_chain_cert.pod 2014-02-24 13:36:16.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_CTX_add1_chain_cert.pod 2014-02-24 23:30:39.000000000 +0100
-@@ -128,8 +128,6 @@
-
- All other functions return 1 for success and 0 for failure.
-
--=back
--
- =head1 SEE ALSO
-
- L<SSL_CTX_add_extra_chain_cert(3)|SSL_CTX_add_extra_chain_cert(3)>
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_CTX_set1_curves.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_CTX_set1_curves.pod 2014-01-23 17:09:34.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_CTX_set1_curves.pod 2014-02-24 23:36:33.494605576 +0100
-@@ -87,8 +87,6 @@
- SSL_get1_shared_curve() returns the NID of shared curve B<n> of zero if there
- is no shared curve B<n> or the number of shared curves if B<n> is -1.
-
--=back
--
- =head1 SEE ALSO
-
- L<SSL_CTX_add_extra_chain_cert(3)|SSL_CTX_add_extra_chain_cert(3)>
-Index: openssl-1.0.2~beta1/doc/ssl/SSL_CTX_set1_verify_cert_store.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/ssl/SSL_CTX_set1_verify_cert_store.pod 2014-01-23 17:09:34.000000000 +0100
-+++ openssl-1.0.2~beta1/doc/ssl/SSL_CTX_set1_verify_cert_store.pod 2014-02-24 23:37:38.017238073 +0100
-@@ -70,8 +70,6 @@
-
- All these functions return 1 for success and 0 for failure.
-
--=back
--
- =head1 SEE ALSO
-
- L<SSL_CTX_add_extra_chain_cert(3)|SSL_CTX_add_extra_chain_cert(3)>
Modified: openssl/trunk/debian/patches/libdoc-manpgs-pod-spell.patch
===================================================================
--- openssl/trunk/debian/patches/libdoc-manpgs-pod-spell.patch 2014-06-19 21:42:29 UTC (rev 683)
+++ openssl/trunk/debian/patches/libdoc-manpgs-pod-spell.patch 2014-07-23 17:49:40 UTC (rev 684)
@@ -1,26 +1,13 @@
-Index: openssl-1.0.2~beta1/doc/crypto/ASN1_generate_nconf.pod
+Index: openssl-1.0.2~beta2/doc/crypto/EVP_PKEY_cmp.pod
===================================================================
---- openssl-1.0.2~beta1.orig/doc/crypto/ASN1_generate_nconf.pod 2014-02-24 23:58:25.834727363 +0100
-+++ openssl-1.0.2~beta1/doc/crypto/ASN1_generate_nconf.pod 2014-02-24 23:58:25.834727363 +0100
-@@ -61,7 +61,7 @@
- =item B<INTEGER>, B<INT>
-
- Encodes an ASN1 B<INTEGER> type. The B<value> string represents
--the value of the integer, it can be preceeded by a minus sign and
-+the value of the integer, it can be preceded by a minus sign and
- is normally interpreted as a decimal value unless the prefix B<0x>
- is included.
-
-Index: openssl-1.0.2~beta1/doc/crypto/EVP_PKEY_cmp.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/crypto/EVP_PKEY_cmp.pod 2014-02-24 23:58:25.834727363 +0100
-+++ openssl-1.0.2~beta1/doc/crypto/EVP_PKEY_cmp.pod 2014-02-24 23:58:25.834727363 +0100
-@@ -26,7 +26,7 @@
- The funcion EVP_PKEY_cmp_parameters() compares the parameters of keys
+--- openssl-1.0.2~beta2.orig/doc/crypto/EVP_PKEY_cmp.pod
++++ openssl-1.0.2~beta2/doc/crypto/EVP_PKEY_cmp.pod
+@@ -26,7 +26,7 @@ B<from> to key B<to>.
+ The function EVP_PKEY_cmp_parameters() compares the parameters of keys
B<a> and B<b>.
--The funcion EVP_PKEY_cmp() compares the public key components and paramters
-+The funcion EVP_PKEY_cmp() compares the public key components and parameters
+-The function EVP_PKEY_cmp() compares the public key components and paramters
++The function EVP_PKEY_cmp() compares the public key components and parameters
(if present) of keys B<a> and B<b>.
=head1 NOTES
Modified: openssl/trunk/debian/patches/openssl-pod-misspell.patch
===================================================================
--- openssl/trunk/debian/patches/openssl-pod-misspell.patch 2014-06-19 21:42:29 UTC (rev 683)
+++ openssl/trunk/debian/patches/openssl-pod-misspell.patch 2014-07-23 17:49:40 UTC (rev 684)
@@ -1,7 +1,7 @@
-Index: openssl-1.0.2~beta1/apps/ca.c
+Index: openssl-1.0.2~beta2/apps/ca.c
===================================================================
---- openssl-1.0.2~beta1.orig/apps/ca.c 2014-02-25 00:04:16.731281175 +0100
-+++ openssl-1.0.2~beta1/apps/ca.c 2014-02-25 00:04:16.731281175 +0100
+--- openssl-1.0.2~beta2.orig/apps/ca.c
++++ openssl-1.0.2~beta2/apps/ca.c
@@ -148,7 +148,7 @@
static const char *ca_usage[]={
"usage: ca args\n",
@@ -11,11 +11,11 @@
" -config file - A config file\n",
" -name arg - The particular CA definition to use\n",
" -gencrl - Generate a new CRL\n",
-Index: openssl-1.0.2~beta1/crypto/evp/encode.c
+Index: openssl-1.0.2~beta2/crypto/evp/encode.c
===================================================================
---- openssl-1.0.2~beta1.orig/crypto/evp/encode.c 2014-02-25 00:04:16.731281175 +0100
-+++ openssl-1.0.2~beta1/crypto/evp/encode.c 2014-02-25 00:04:16.731281175 +0100
-@@ -250,7 +250,7 @@
+--- openssl-1.0.2~beta2.orig/crypto/evp/encode.c
++++ openssl-1.0.2~beta2/crypto/evp/encode.c
+@@ -250,7 +250,7 @@ int EVP_DecodeUpdate(EVP_ENCODE_CTX *ctx
/* We parse the input data */
for (i=0; i<inl; i++)
{
@@ -24,11 +24,11 @@
if (ln >= 80) { rv= -1; goto end; }
/* Get char and put it into the buffer */
-Index: openssl-1.0.2~beta1/doc/apps/req.pod
+Index: openssl-1.0.2~beta2/doc/apps/req.pod
===================================================================
---- openssl-1.0.2~beta1.orig/doc/apps/req.pod 2014-02-25 00:04:16.731281175 +0100
-+++ openssl-1.0.2~beta1/doc/apps/req.pod 2014-02-25 00:04:16.731281175 +0100
-@@ -159,7 +159,7 @@
+--- openssl-1.0.2~beta2.orig/doc/apps/req.pod
++++ openssl-1.0.2~beta2/doc/apps/req.pod
+@@ -159,7 +159,7 @@ B<param:file> generates a key using the
the algorithm is determined by the parameters. B<algname:file> use algorithm
B<algname> and parameter file B<file>: the two algorithms must match or an
error occurs. B<algname> just uses algorithm B<algname>, and parameters,
@@ -37,16 +37,3 @@
B<dsa:filename> generates a DSA key using the parameters
in the file B<filename>. B<ec:filename> generates EC key (usable both with
-Index: openssl-1.0.2~beta1/doc/apps/x509v3_config.pod
-===================================================================
---- openssl-1.0.2~beta1.orig/doc/apps/x509v3_config.pod 2014-02-25 00:04:16.731281175 +0100
-+++ openssl-1.0.2~beta1/doc/apps/x509v3_config.pod 2014-02-25 00:04:16.731281175 +0100
-@@ -174,7 +174,7 @@
-
- The value of B<dirName> should point to a section containing the distinguished
- name to use as a set of name value pairs. Multi values AVAs can be formed by
--preceeding the name with a B<+> character.
-+preceding the name with a B<+> character.
-
- otherName can include arbitrary data associated with an OID: the value
- should be the OID followed by a semicolon and the content in standard
Modified: openssl/trunk/debian/patches/series
===================================================================
--- openssl/trunk/debian/patches/series 2014-06-19 21:42:29 UTC (rev 683)
+++ openssl/trunk/debian/patches/series 2014-07-23 17:49:40 UTC (rev 684)
@@ -22,4 +22,3 @@
block_digicert_malaysia.patch
#padlock_conf.patch
defaults.patch
-fix-pod-errors.patch
More information about the Pkg-openssl-changes
mailing list